Page MenuHomePhabricator

Phatility: Include server field in "Request URL" field
Closed, ResolvedPublic

Description

The original data in Logstash doesn't contain a full url. But it does contain fields for server (value of the Host header, if present) and url (value of Request path+query).

I used to combine these manually when creating Error tasks to create a full url. I didn't realise until now that the automation doesn't do this, and @Anomie kindly pointed out that this was a useful thing previously.


@Krinkle: I've noticed that this format you're using for these bugs leaves out …

Also the wiki that the exception occurred on.

Event Timeline

Krinkle created this task.Oct 19 2019, 9:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 19 2019, 9:17 PM
Krinkle renamed this task from Phatility: Include server field in "url" field to Phatility: Include server field in "Request URL" field.Oct 19 2019, 9:17 PM
mmodell claimed this task.Oct 21 2019, 8:09 PM

Change 545593 had a related patch set uploaded (by 20after4; owner: 20after4):
[releng/phatality@master] Build the url field from server + url

https://gerrit.wikimedia.org/r/545593

Change 545593 merged by 20after4:
[releng/phatality@master] Build the url field from server + url

https://gerrit.wikimedia.org/r/545593

mmodell closed this task as Resolved.Nov 8 2019, 10:20 AM